Subject: Re: New Guy

From: [email-masked] (John Schwab)
Date: 15 Jul 1995 04:05:14 GMT

>What is the best buy for the money in end mills for hobby use where
>there is no way to shapren them. I'm using a Clausing 8530 mill with
>hand feed and mist coolant and usually work in common 1018, and hot
>rolled with a little Al, brass or iron from time to time. There are
>any number of mills avail. from HSS to carbide, TiN coated and cobalt,
>in cheapo import, generic "American" and name-brand at prices from $2
>to $25 for the same size cutter. So what's a swarf-maker like me to
>do?

I always find it much easier and cheaper to use solid carbide steel bits and throw them 
away when they get dull.  I am not sure what kind of bit speeds you are using, but I use 
Consrud and Robb-Jack bits most of the time for cutting wood, plastic, mild steel, 
aluminum, and stainless.  That is really all I cut but last week I was experimenting with 
cutting silica bronze which is a very hard material.  I also know some people who use a 
stainless steel bit to cut aluminum because is stays sharp in aluminum and they only cost 
a couple of bucks a piece.  The carbide bits I use normally range from $15 for a two flute 
bit used for generic purposes to $25 for a special three fluted bit I use for stainless steel.